Index: trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/evolutionperson.ldif
===================================================================
--- trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/evolutionperson.ldif	(revision 647)
+++ trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/evolutionperson.ldif	(revision 647)
@@ -0,0 +1,84 @@
+dn: cn=evolutionperson,cn=schema,cn=config
+objectClass: olcSchemaConfig
+cn: evolutionperson
+olcAttributeTypes: {0}( 1.3.6.1.4.1.8506.1.2.1 NAME 'primaryPhone' DESC 'prefe
+ rred phone number used to contact a person' EQUALITY caseIgnoreMatch SUBSTR c
+ aseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15 SINGLE-VALUE )
+olcAttributeTypes: {1}( 1.3.6.1.4.1.8506.1.2.2 NAME 'carPhone' DESC 'car phone
+  telephone number of the person' EQUALITY telephoneNumberMatch SUBSTR telepho
+ neNumberSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.50 SINGLE-VALUE )
+olcAttributeTypes: {2}( 1.3.6.1.4.1.8506.1.2.3 NAME ( 'homeFacsimileTelephoneN
+ umber' 'homeFax' ) SYNTAX 1.3.6.1.4.1.1466.115.121.1.22 )
+olcAttributeTypes: {3}( 1.3.6.1.4.1.8506.1.2.4 NAME 'otherPhone' EQUALITY tele
+ phoneNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.1.146
+ 6.115.121.1.50 )
+olcAttributeTypes: {4}( 1.3.6.1.4.1.8506.1.2.5 NAME 'businessRole' EQUALITY ca
+ seIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.12
+ 1.1.15 )
+olcAttributeTypes: {5}( 1.3.6.1.4.1.8506.1.2.6 NAME 'managerName' SUP name )
+olcAttributeTypes: {6}( 1.3.6.1.4.1.8506.1.2.7 NAME 'assistantName' SUP name )
+olcAttributeTypes: {7}( 1.3.6.1.4.1.8506.1.2.8 NAME 'spouseName' SUP name SING
+ LE-VALUE )
+olcAttributeTypes: {8}( 1.3.6.1.4.1.8506.1.2.9 NAME 'otherPostalAddress' EQUAL
+ ITY caseIgnoreListMatch SUBSTR caseIgnoreListSubstringsMatch SYNTAX 1.3.6.1.4
+ .1.1466.115.121.1.41 )
+olcAttributeTypes: {9}( 1.3.6.1.4.1.8506.1.2.10 NAME ( 'mailer' 'mua' ) EQUALI
+ TY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.1
+ 15.121.1.15{32} )
+olcAttributeTypes: {10}( 1.3.6.1.4.1.8506.1.2.11 NAME ( 'birthDate' 'dob' ) EQ
+ UALITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.14
+ 66.115.121.1.15{128} )
+olcAttributeTypes: {11}( 1.3.6.1.4.1.8506.1.2.12 NAME 'anniversary' EQUALITY c
+ aseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.1
+ 21.1.15{128} )
+olcAttributeTypes: {12}( 1.3.6.1.4.1.8506.1.2.13 NAME 'note' EQUALITY caseIgno
+ reMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15
+ {1024} )
+olcAttributeTypes: {13}( 1.3.6.1.4.1.8506.1.2.14 NAME 'evolutionArbitrary' EQU
+ ALITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.146
+ 6.115.121.1.15{4096} )
+olcAttributeTypes: {14}( 1.3.6.1.4.1.8506.1.2.15 NAME 'fileAs' SUP name )
+olcAttributeTypes: {15}( 1.3.6.1.4.1.8506.1.2.16 NAME 'assistantPhone' EQUALIT
+ Y telephoneNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4
+ .1.1466.115.121.1.50 )
+olcAttributeTypes: {16}( 1.3.6.1.4.1.8506.1.2.17 NAME 'companyPhone' EQUALITY 
+ telephoneNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.1
+ .1466.115.121.1.50 )
+olcAttributeTypes: {17}( 1.3.6.1.4.1.8506.1.2.18 NAME 'callbackPhone' EQUALITY
+  telephoneNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.
+ 1.1466.115.121.1.50 )
+olcAttributeTypes: {18}( 1.3.6.1.4.1.8506.1.2.19 NAME ( 'otherFacsimileTelepho
+ neNumber' 'otherFax' ) SYNTAX 1.3.6.1.4.1.1466.115.121.1.22 )
+olcAttributeTypes: {19}( 1.3.6.1.4.1.8506.1.2.20 NAME 'radio' EQUALITY telepho
+ neNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.1
+ 15.121.1.50 )
+olcAttributeTypes: {20}( 1.3.6.1.4.1.8506.1.2.21 NAME 'telex' EQUALITY telepho
+ neNumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.1
+ 15.121.1.50 )
+olcAttributeTypes: {21}( 1.3.6.1.4.1.8506.1.2.22 NAME 'tty' EQUALITY telephone
+ NumberMatch SUBSTR telephoneNumberSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115
+ .121.1.50 )
+olcAttributeTypes: {22}( 1.3.6.1.4.1.8506.1.2.23 NAME 'categories' EQUALITY ca
+ seIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.12
+ 1.1.15{4096} )
+olcAttributeTypes: {23}( 1.3.6.1.4.1.8506.1.2.24 NAME 'contact' EQUALITY disti
+ nguishedNameMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.12 )
+olcAttributeTypes: {24}( 1.3.6.1.4.1.8506.1.2.25 NAME 'listName' SUP name SING
+ LE-VALUE )
+olcAttributeTypes: {25}( 1.3.6.1.4.1.8506.1.2.26 NAME 'calendarURI' EQUALITY c
+ aseExactIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {26}( 1.3.6.1.4.1.8506.1.2.27 NAME 'freeBusyURI' EQUALITY c
+ aseExactIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {27}( 1.3.6.1.4.1.8506.1.2.28 NAME 'category' EQUALITY case
+ IgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.
+ 1.15{4096} )
+olcObjectClasses: {0}( 1.3.6.1.4.1.8506.1.3.1 NAME 'evolutionPerson' DESC 'Obj
+ ectclass geared to Evolution Usage' SUP inetOrgPerson STRUCTURAL MAY ( fileAs
+  $ primaryPhone $ carPhone $ homeFacsimileTelephoneNumber $ otherPhone $ busi
+ nessRole $ managerName $ assistantName $ assistantPhone $ otherPostalAddress 
+ $ mailer $ birthDate $ anniversary $ spouseName $ note $ companyPhone $ callb
+ ackPhone $ otherFacsimileTelephoneNumber $ radio $ telex $ tty $ categories $
+  category $ calendarURI $ freeBusyURI ) )
+olcObjectClasses: {1}( 1.3.6.1.4.1.8506.1.3.2 NAME 'evolutionPersonList' DESC 
+ 'Objectclass geared to Evolution Contact Lists' SUP top STRUCTURAL MUST listN
+ ame MAY ( mail $ contact ) )
Index: trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/mozillaabpersonalpha.ldif
===================================================================
--- trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/mozillaabpersonalpha.ldif	(revision 647)
+++ trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/mozillaabpersonalpha.ldif	(revision 647)
@@ -0,0 +1,55 @@
+dn: cn=mozillaabpersonalpha,cn=schema,cn=config
+objectClass: olcSchemaConfig
+cn: mozillaabpersonalpha
+olcAttributeTypes: {0}( 1.3.6.1.4.1.13769.4.1 NAME 'mozillaCustom1' EQUALITY c
+ aseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.1
+ 21.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {1}( 1.3.6.1.4.1.13769.4.2 NAME 'mozillaCustom2' EQUALITY c
+ aseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.1
+ 21.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {2}( 1.3.6.1.4.1.13769.4.3 NAME 'mozillaCustom3' EQUALITY c
+ aseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.1
+ 21.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {3}( 1.3.6.1.4.1.13769.4.4 NAME 'mozillaCustom4' EQUALITY c
+ aseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.1
+ 21.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {4}( 1.3.6.1.4.1.13769.3.1 NAME 'mozillaHomeStreet' EQUALIT
+ Y caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.11
+ 5.121.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {5}( 1.3.6.1.4.1.13769.3.2 NAME 'mozillaHomeStreet2' EQUALI
+ TY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.1
+ 15.121.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {6}( 1.3.6.1.4.1.13769.3.3 NAME 'mozillaHomeLocalityName' S
+ UP name SINGLE-VALUE )
+olcAttributeTypes: {7}( 1.3.6.1.4.1.13769.3.4 NAME 'mozillaHomeState' SUP name
+  SINGLE-VALUE )
+olcAttributeTypes: {8}( 1.3.6.1.4.1.13769.3.5 NAME 'mozillaHomePostalCode' EQU
+ ALITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.146
+ 6.115.121.1.15{40} SINGLE-VALUE )
+olcAttributeTypes: {9}( 1.3.6.1.4.1.13769.3.6 NAME 'mozillaHomeCountryName' SU
+ P name SINGLE-VALUE )
+olcAttributeTypes: {10}( 1.3.6.1.4.1.13769.3.7 NAME 'mozillaHomeUrl' EQUALITY 
+ caseIgnoreMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {11}( 1.3.6.1.4.1.13769.3.8 NAME 'mozillaWorkStreet2' EQUAL
+ ITY caseIgnoreMatch SUBSTR caseIgnoreSubstringsMatch SYNTAX 1.3.6.1.4.1.1466.
+ 115.121.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {12}( 1.3.6.1.4.1.13769.3.9 NAME 'mozillaWorkUrl' EQUALITY 
+ caseIgnoreMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{128} SINGLE-VALUE )
+olcAttributeTypes: {13}( 1.3.6.1.4.1.13769.2.1 NAME ( 'mozillaNickname' 'xmozi
+ llanickname' ) SUP name )
+olcAttributeTypes: {14}( 1.3.6.1.4.1.13769.2.2 NAME ( 'mozillaSecondEmail' 'xm
+ ozillasecondemail' ) EQUALITY caseIgnoreIA5Match SUBSTR caseIgnoreIA5Substrin
+ gsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.26{256} SINGLE-VALUE )
+olcAttributeTypes: {15}( 1.3.6.1.4.1.13769.2.3 NAME ( 'mozillaUseHtmlMail' 'xm
+ ozillausehtmlmail' ) SYNTAX 1.3.6.1.4.1.1466.115.121.1.7 SINGLE-VALUE )
+olcAttributeTypes: {16}( 1.3.6.1.4.1.13769.2.4 NAME ( 'nsAIMid' 'nscpaimscreen
+ name' ) EQUALITY telephoneNumberMatch SUBSTR telephoneNumberSubstringsMatch S
+ YNTAX 1.3.6.1.4.1.1466.115.121.1.50 )
+olcObjectClasses: {0}( 1.3.6.1.4.1.13769.9.1 NAME 'mozillaAbPersonAlpha' SUP t
+ op AUXILIARY MUST cn MAY ( c $ description $ displayName $ fax $ givenName $ 
+ homePhone $ l $ mail $ mobile $ mozillaCustom1 $ mozillaCustom2 $ mozillaCust
+ om3 $ mozillaCustom4 $ mozillaHomeCountryName $ mozillaHomeLocalityName $ moz
+ illaHomePostalCode $ mozillaHomeState $ mozillaHomeStreet $ mozillaHomeStreet
+ 2 $ mozillaHomeUrl $ mozillaNickname $ mozillaSecondEmail $ mozillaUseHtmlMai
+ l $ mozillaWorkStreet2 $ mozillaWorkUrl $ nsAIMid $ o $ ou $ pager $ postalCo
+ de $ postOfficeBox $ sn $ st $ street $ telephoneNumber $ title ) )
Index: trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/rfc2307bis.ldif
===================================================================
--- trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/rfc2307bis.ldif	(revision 647)
+++ trunk/puppet/modules/puppet-openldap/files/etc/ldap/schema/rfc2307bis.ldif	(revision 647)
@@ -0,0 +1,145 @@
+dn: cn=rfc2307bis,cn=schema,cn=config
+objectClass: olcSchemaConfig
+cn: rfc2307bis
+olcAttributeTypes: {0}( 1.3.6.1.1.1.1.2 NAME 'gecos' DESC 'The GECOS field; th
+ e common name' EQUALITY caseIgnoreIA5Match SUBSTR caseIgnoreIA5SubstringsMatc
+ h SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {1}( 1.3.6.1.1.1.1.3 NAME 'homeDirectory' DESC 'The absolut
+ e path to the home directory' EQUALITY caseExactIA5Match SYNTAX 1.3.6.1.4.1.1
+ 466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {2}( 1.3.6.1.1.1.1.4 NAME 'loginShell' DESC 'The path to th
+ e login shell' EQUALITY caseExactIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.2
+ 6 SINGLE-VALUE )
+olcAttributeTypes: {3}( 1.3.6.1.1.1.1.5 NAME 'shadowLastChange' EQUALITY integ
+ erMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {4}( 1.3.6.1.1.1.1.6 NAME 'shadowMin' EQUALITY integerMatch
+  SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {5}( 1.3.6.1.1.1.1.7 NAME 'shadowMax' EQUALITY integerMatch
+  SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {6}( 1.3.6.1.1.1.1.8 NAME 'shadowWarning' EQUALITY integerM
+ atch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {7}( 1.3.6.1.1.1.1.9 NAME 'shadowInactive' EQUALITY integer
+ Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {8}( 1.3.6.1.1.1.1.10 NAME 'shadowExpire' EQUALITY integerM
+ atch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {9}( 1.3.6.1.1.1.1.11 NAME 'shadowFlag' EQUALITY integerMat
+ ch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE )
+olcAttributeTypes: {10}( 1.3.6.1.1.1.1.12 NAME 'memberUid' EQUALITY caseExactI
+ A5Match SUBSTR caseExactIA5SubstringsMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.
+ 26 )
+olcAttributeTypes: {11}( 1.3.6.1.1.1.1.13 NAME 'memberNisNetgroup' EQUALITY ca
+ seExactIA5Match SUBSTR caseExactIA5SubstringsMatch SYNTAX 1.3.6.1.4.1.1466.11
+ 5.121.1.26 )
+olcAttributeTypes: {12}( 1.3.6.1.1.1.1.14 NAME 'nisNetgroupTriple' DESC 'Netgr
+ oup triple' EQUALITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 
+ )
+olcAttributeTypes: {13}( 1.3.6.1.1.1.1.15 NAME 'ipServicePort' DESC 'Service p
+ ort number' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE
+ -VALUE )
+olcAttributeTypes: {14}( 1.3.6.1.1.1.1.16 NAME 'ipServiceProtocol' DESC 'Servi
+ ce protocol name' SUP name )
+olcAttributeTypes: {15}( 1.3.6.1.1.1.1.17 NAME 'ipProtocolNumber' DESC 'IP pro
+ tocol number' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SING
+ LE-VALUE )
+olcAttributeTypes: {16}( 1.3.6.1.1.1.1.18 NAME 'oncRpcNumber' DESC 'ONC RPC nu
+ mber' EQUALITY integerMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.27 SINGLE-VALUE
+  )
+olcAttributeTypes: {17}( 1.3.6.1.1.1.1.19 NAME 'ipHostNumber' DESC 'IPv4 addre
+ sses as a dotted decimal omitting leading        zeros or IPv6 addresses as d
+ efined in RFC2373' SUP name )
+olcAttributeTypes: {18}( 1.3.6.1.1.1.1.20 NAME 'ipNetworkNumber' DESC 'IP netw
+ ork as a dotted decimal, eg. 192.168,        omitting leading zeros' SUP name
+  SINGLE-VALUE )
+olcAttributeTypes: {19}( 1.3.6.1.1.1.1.21 NAME 'ipNetmaskNumber' DESC 'IP netm
+ ask as a dotted decimal, eg. 255.255.255.0,        omitting leading zeros' EQ
+ UALITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {20}( 1.3.6.1.1.1.1.22 NAME 'macAddress' DESC 'MAC address 
+ in maximal, colon separated hex        notation, eg. 00:00:92:90:ee:e2' EQUAL
+ ITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+olcAttributeTypes: {21}( 1.3.6.1.1.1.1.23 NAME 'bootParameter' DESC 'rpc.bootp
+ aramd parameter' EQUALITY caseExactIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1
+ .26 )
+olcAttributeTypes: {22}( 1.3.6.1.1.1.1.24 NAME 'bootFile' DESC 'Boot image nam
+ e' EQUALITY caseExactIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+olcAttributeTypes: {23}( 1.3.6.1.1.1.1.26 NAME 'nisMapName' DESC 'Name of a A 
+ generic NIS map' SUP name )
+olcAttributeTypes: {24}( 1.3.6.1.1.1.1.27 NAME 'nisMapEntry' DESC 'A generic N
+ IS entry' EQUALITY caseExactIA5Match SUBSTR caseExactIA5SubstringsMatch SYNTA
+ X 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {25}( 1.3.6.1.1.1.1.28 NAME 'nisPublicKey' DESC 'NIS public
+  key' EQUALITY octetStringMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.40 SINGLE-V
+ ALUE )
+olcAttributeTypes: {26}( 1.3.6.1.1.1.1.29 NAME 'nisSecretKey' DESC 'NIS secret
+  key' EQUALITY octetStringMatch SYNTAX 1.3.6.1.4.1.1466.115.121.1.40 SINGLE-V
+ ALUE )
+olcAttributeTypes: {27}( 1.3.6.1.1.1.1.30 NAME 'nisDomain' DESC 'NIS domain' E
+ QUALITY caseIgnoreIA5Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 )
+olcAttributeTypes: {28}( 1.3.6.1.1.1.1.31 NAME 'automountMapName' DESC 'automo
+ unt Map Name' EQUALITY caseExactIA5Match SUBSTR caseExactIA5SubstringsMatch S
+ YNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {29}( 1.3.6.1.1.1.1.32 NAME 'automountKey' DESC 'Automount 
+ Key value' EQUALITY caseExactIA5Match SUBSTR caseExactIA5SubstringsMatch SYNT
+ AX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcAttributeTypes: {30}( 1.3.6.1.1.1.1.33 NAME 'automountInformation' DESC 'Au
+ tomount information' EQUALITY caseExactIA5Match SUBSTR caseExactIA5Substrings
+ Match SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )
+olcObjectClasses: {0}( 1.3.6.1.1.1.2.0 NAME 'posixAccount' DESC 'Abstraction o
+ f an account with POSIX attributes' SUP top AUXILIARY MUST ( cn $ uid $ uidNu
+ mber $ gidNumber $ homeDirectory ) MAY ( userPassword $ loginShell $ gecos $ 
+ description ) )
+olcObjectClasses: {1}( 1.3.6.1.1.1.2.1 NAME 'shadowAccount' DESC 'Additional a
+ ttributes for shadow passwords' SUP top AUXILIARY MUST uid MAY ( userPassword
+  $ description $ shadowLastChange $ shadowMin $ shadowMax $ shadowWarning $ s
+ hadowInactive $ shadowExpire $ shadowFlag ) )
+olcObjectClasses: {2}( 1.3.6.1.1.1.2.2 NAME 'posixGroup' DESC 'Abstraction of 
+ a group of accounts' SUP top AUXILIARY MUST gidNumber MAY ( userPassword $ me
+ mberUid $ description ) )
+olcObjectClasses: {3}( 1.3.6.1.1.1.2.3 NAME 'ipService' DESC 'Abstraction an I
+ nternet Protocol service.        Maps an IP port and protocol (such as tcp or
+  udp)        to one or more names; the distinguished value of        the cn a
+ ttribute denotes the services canonical        name' SUP top STRUCTURAL MUST 
+ ( cn $ ipServicePort $ ipServiceProtocol ) MAY description )
+olcObjectClasses: {4}( 1.3.6.1.1.1.2.4 NAME 'ipProtocol' DESC 'Abstraction of 
+ an IP protocol. Maps a protocol number        to one or more names. The disti
+ nguished value of the cn        attribute denotes the protocols canonical nam
+ e' SUP top STRUCTURAL MUST ( cn $ ipProtocolNumber ) MAY description )
+olcObjectClasses: {5}( 1.3.6.1.1.1.2.5 NAME 'oncRpc' DESC 'Abstraction of an O
+ pen Network Computing (ONC)       [RFC1057] Remote Procedure Call (RPC) bindi
+ ng.       This class maps an ONC RPC number to a name.       The distinguishe
+ d value of the cn attribute denotes       the RPC services canonical name' SU
+ P top STRUCTURAL MUST ( cn $ oncRpcNumber ) MAY description )
+olcObjectClasses: {6}( 1.3.6.1.1.1.2.6 NAME 'ipHost' DESC 'Abstraction of a ho
+ st, an IP device. The distinguished        value of the cn attribute denotes 
+ the hosts canonical        name. Device SHOULD be used as a structural class'
+  SUP top AUXILIARY MUST ( cn $ ipHostNumber ) MAY ( userPassword $ l $ descri
+ ption $ manager ) )
+olcObjectClasses: {7}( 1.3.6.1.1.1.2.7 NAME 'ipNetwork' DESC 'Abstraction of a
+  network. The distinguished value of        the cn attribute denotes the netw
+ orks canonical name' SUP top STRUCTURAL MUST ipNetworkNumber MAY ( cn $ ipNet
+ maskNumber $ l $ description $ manager ) )
+olcObjectClasses: {8}( 1.3.6.1.1.1.2.8 NAME 'nisNetgroup' DESC 'Abstraction of
+  a netgroup. May refer to other netgroups' SUP top STRUCTURAL MUST cn MAY ( n
+ isNetgroupTriple $ memberNisNetgroup $ description ) )
+olcObjectClasses: {9}( 1.3.6.1.1.1.2.9 NAME 'nisMap' DESC 'A generic abstracti
+ on of a NIS map' SUP top STRUCTURAL MUST nisMapName MAY description )
+olcObjectClasses: {10}( 1.3.6.1.1.1.2.10 NAME 'nisObject' DESC 'An entry in a 
+ NIS map' SUP top STRUCTURAL MUST ( cn $ nisMapEntry $ nisMapName ) MAY descri
+ ption )
+olcObjectClasses: {11}( 1.3.6.1.1.1.2.11 NAME 'ieee802Device' DESC 'A device w
+ ith a MAC address; device SHOULD be        used as a structural class' SUP to
+ p AUXILIARY MAY macAddress )
+olcObjectClasses: {12}( 1.3.6.1.1.1.2.12 NAME 'bootableDevice' DESC 'A device 
+ with boot parameters; device SHOULD be        used as a structural class' SUP
+  top AUXILIARY MAY ( bootFile $ bootParameter ) )
+olcObjectClasses: {13}( 1.3.6.1.1.1.2.14 NAME 'nisKeyObject' DESC 'An object w
+ ith a public and secret key' SUP top AUXILIARY MUST ( cn $ nisPublicKey $ nis
+ SecretKey ) MAY ( uidNumber $ description ) )
+olcObjectClasses: {14}( 1.3.6.1.1.1.2.15 NAME 'nisDomainObject' DESC 'Associat
+ es a NIS domain with a naming context' SUP top AUXILIARY MUST nisDomain )
+olcObjectClasses: {15}( 1.3.6.1.1.1.2.16 NAME 'automountMap' SUP top STRUCTURA
+ L MUST automountMapName MAY description )
+olcObjectClasses: {16}( 1.3.6.1.1.1.2.17 NAME 'automount' DESC 'Automount info
+ rmation' SUP top STRUCTURAL MUST ( automountKey $ automountInformation ) MAY 
+ description )
+olcObjectClasses: {17}( 1.3.6.1.4.1.5322.13.1.1 NAME 'namedObject' SUP top STR
+ UCTURAL MAY cn )