Index: /trunk/puppet/modules/puppet-ubuntu_sources_list/manifests/init.pp
===================================================================
--- /trunk/puppet/modules/puppet-ubuntu_sources_list/manifests/init.pp	(revision 668)
+++ /trunk/puppet/modules/puppet-ubuntu_sources_list/manifests/init.pp	(revision 668)
@@ -0,0 +1,71 @@
+# copyright <sebas @ koumbit.org>
+# Licence: GPL
+#
+
+class ubuntu_sources_list {
+
+   package { [ "apt" ]: ensure => installed }
+
+    file { "/etc/apt/sources.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("ubuntu_sources_list/sources.list.erb"),
+    }
+    exec{"apt-get update ubuntu":
+	command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list"],
+        require => File["/etc/apt/sources.list"],
+    }
+}
+
+class ubuntu_sources_list::virtualbox {
+
+#   package { [ "apt" ]: ensure => installed }
+
+    file { "/etc/apt/sources.list.d/virtualbox.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("ubuntu_sources_list/sources.list.d/virtualbox.erb"),
+    }
+    exec{"apt-get update vb":
+        command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
+        require => File["/etc/apt/sources.list.d/virtualbox.list"],
+    }
+    exec{"/usr/bin/wget -q http://download.virtualbox.org/virtualbox/debian/sun_vbox.asc -O- | /usr/bin/sudo /usr/bin/apt-key add -":
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
+        require => File["/etc/apt/sources.list.d/virtualbox.list"],
+        before => Exec["apt-get update vb"],
+    }
+}
+
+class ubuntu_sources_list::medibuntu {
+
+#   package { [ "apt" ]: ensure => installed }
+
+    file { "/etc/apt/sources.list.d/medibuntu.list":
+        owner => "root",
+        group => "root",
+        mode => 0644,
+        content => template("ubuntu_sources_list/sources.list.d/medibuntu.erb"),  
+    }
+    exec{"apt-get update medibuntu":
+        command => "/usr/bin/apt-get update",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/medibuntu.list"],
+        require => File["/etc/apt/sources.list.d/medibuntu.list"],
+    }
+    exec{ "medibuntu_keyring":
+        command => "/usr/bin/apt-get --yes -q --allow-unauthenticated install medibuntu-keyring",
+        refreshonly => true,
+        subscribe => File["/etc/apt/sources.list.d/medibuntu.list"],
+        require => File["/etc/apt/sources.list.d/medibuntu.list"],
+        before => Exec["apt-get update medibuntu"]
+    }
+}
+
Index: /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/medibuntu.erb
===================================================================
--- /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/medibuntu.erb	(revision 668)
+++ /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/medibuntu.erb	(revision 668)
@@ -0,0 +1,4 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://packages.medibuntu.org/ <%= lsbdistcodename %> free non-free
Index: /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/virtualbox.erb
===================================================================
--- /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/virtualbox.erb	(revision 668)
+++ /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.d/virtualbox.erb	(revision 668)
@@ -0,0 +1,4 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://download.virtualbox.org/virtualbox/debian <%= lsbdistcodename %> non-free
Index: /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.erb
===================================================================
--- /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.erb	(revision 668)
+++ /trunk/puppet/modules/puppet-ubuntu_sources_list/templates/sources.list.erb	(revision 668)
@@ -0,0 +1,13 @@
+# This file is managed with puppet
+# # Do not edit locally
+#
+deb http://archive.ubuntu.com/ubuntu/ <%= lsbdistcodename %> main restricted universe multiverse
+deb-src http://archive.ubuntu.com/ubuntu/ <%= lsbdistcodename %> main restricted universe multiverse
+deb http://archive.ubuntu.com/ubuntu/ <%= lsbdistcodename %>-updates main restricted universe multiverse
+deb-src http://archive.ubuntu.com/ubuntu/ <%= lsbdistcodename %>-updates main restricted universe multiverse
+deb http://security.ubuntu.com/ubuntu <%= lsbdistcodename %>-security main restricted universe multiverse
+deb-src http://security.ubuntu.com/ubuntu <%= lsbdistcodename %>-security main restricted universe multiverse
+
+#
+deb http://archive.canonical.com/ <%= lsbdistcodename %> partner
+deb-src http://archive.canonical.com/ <%= lsbdistcodename %> partner