Index: trunk/puppet/modules/di_netboot_assistant/manifests/init.pp
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 683)
+++ trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 684)
@@ -6,13 +6,17 @@
 class di_netboot_assistant {
 
-   package { [ "di-netboot-assistant" ]: ensure => installed }
+   package { [
+      "di-netboot-assistant",
+      "tftpd-hpa"
+      ]: ensure => installed
+   }
 
    # sources.list with the lastest Ubuntu releases
    file { "/etc/di-netboot-assistant/di-sources.list":
       require => Package["di-netboot-assistant"],
-      owner => root,
-      group => root,
-      mode => 644,
-      source => "puppet:///di_netboot_assistant/di-sources.list"
+      owner   => root,
+      group   => root,
+      mode    => 644,
+      source  => "puppet:///di_netboot_assistant/di-sources.list"
    }
 
@@ -20,14 +24,15 @@
    file { "/etc/di-netboot-assistant/pxelinux.HEAD":
       require => Package["di-netboot-assistant"],
-      owner => root,
-      group => root,
-      mode => 644,
-      source => "puppet:///di_netboot_assistant/pxelinux.HEAD",
-      before => Exec["updatemenu"]
+      owner   => root,
+      group   => root,
+      mode    => 644,
+      source  => "puppet:///di_netboot_assistant/pxelinux.HEAD",
+      before  => Exec["updatemenu"]
    }
    
    exec { "updatemenu":
-       command => "di-netboot-assistant rebuild-menu",
-       path => "/bin:/sbin:/usr/sbin:/usr/bin",
+       command   => "di-netboot-assistant rebuild-menu",
+       path      => "/bin:/sbin:/usr/sbin:/usr/bin",
+       subscribe => File["/etc/di-netboot-assistant/pxelinux.HEAD"],
     }
 
@@ -36,8 +41,8 @@
      "/var/lib/tftpboot":
       ensure => directory,
-      owner => "root", group => "root", mode => "755";
+      owner  => "root", group => "root", mode => "755";
      "/var/lib/tftpboot/pxelinux.cfg":
       ensure => directory,
-      owner => "root", group => "root", mode => "755";
+      owner  => "root", group => "root", mode => "755";
      "/var/lib/tftpboot/pxelinux.0":
       ensure => "debian-installer/pxelinux.0";
@@ -49,5 +54,5 @@
       command => "di-netboot-assistant install lenny --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/lenny/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], File["/etc/di-netboot-assistant/di-sources.list"], File["/etc/di-netboot-assistant/pxelinux.HEAD"]]
    }
@@ -56,5 +61,5 @@
       command => "di-netboot-assistant install squeeze --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/squeeze/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], File["/etc/di-netboot-assistant/di-sources.list"], File["/etc/di-netboot-assistant/pxelinux.HEAD"]]
    }
@@ -63,5 +68,5 @@
       command => "di-netboot-assistant install sid --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/sid/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], File["/etc/di-netboot-assistant/di-sources.list"], File["/etc/di-netboot-assistant/pxelinux.HEAD"]]
    }
@@ -70,5 +75,5 @@
       command => "di-netboot-assistant install hardy --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/hardy/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
    }
@@ -77,5 +82,5 @@
       command => "di-netboot-assistant install jaunty --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/jaunty/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
    }
@@ -84,5 +89,5 @@
       command => "di-netboot-assistant install karmic --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/karmic/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
    }
@@ -91,5 +96,5 @@
       command => "di-netboot-assistant install lucid --arch=amd64,i386 &>/dev/null",
       creates => "/var/lib/tftpboot/debian-installer/lucid/i386/linux",
-      path => "/bin:/sbin:/usr/sbin:/usr/bin",
+      path    => "/bin:/sbin:/usr/sbin:/usr/bin",
       require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
    }
@@ -102,7 +107,7 @@
 
     file { ["/var/lib/tftpboot/debian-installer", "/var/lib/tftpboot/debian-installer/daily", "/var/lib/tftpboot/debian-installer/daily/powerpc/"]:
-      ensure => directory,
-      owner => root,
-      group => root,
+      ensure  => directory,
+      owner   => root,
+      group   => root,
       require => Package["tftpd-hpa"];
     }