Index: trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 682)
+++ trunk/puppet/modules/di_netboot_assistant/files/pxelinux.HEAD	(revision 685)
@@ -30,48 +30,48 @@
         KERNEL memtest/memtest86+
 
-LABEL 9.04-desktop-live
-	MENU LABEL 9.04-desktop-live : Ubuntu 9.04/Jaunty Desktop ; i386 ; LIVE - CD
-        kernel live/jaunty/i386/casper/vmlinuz
-        append locale=es_AR boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu904desktopi386 initrd=live/jaunty/i386/casper/initrd.gz --
-
-LABEL 9.10-desktop-live 
-        MENU LABEL 9.10-desktop-live : Ubuntu 9.10/Karmic Desktop ; i386 ; LIVE - CD
-        kernel live/karmic/i386/casper/vmlinuz
-        append locale=es_AR boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu910desktopi386 initrd=live/karmic/i386/casper/initrd.lz --
-
 LABEL 10.04-desktop-live
         MENU LABEL 10.04-desktop-live : Ubuntu 10.04/Lucid Desktop ; i386 ; LIVE - DVD
         kernel live/lucid/i386/casper/vmlinuz
-        append locale=es_AR boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu1004dvdi386 initrd=live/lucid/i386/casper/initrd.lz --
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu1004dvdi386 initrd=live/lucid/i386/casper/initrd.lz --
+
+LABEL 9.10-desktop-live
+        MENU LABEL 9.10-desktop-live : Ubuntu 9.10/Karmic Desktop ; i386 ; LIVE - CD
+        kernel live/karmic/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu910desktopi386 initrd=live/karmic/i386/casper/initrd.lz --
+
+LABEL 9.04-desktop-live
+        MENU LABEL 9.04-desktop-live : Ubuntu 9.04/Jaunty Desktop ; i386 ; LIVE - CD
+        kernel live/jaunty/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=10.0.2.2:/opt/linux_livecd/ubuntu904desktopi386 initrd=live/jaunty/i386/casper/initrd.gz --
 
 LABEL 9.04-desktop
        MENU LABEL 9.04-desktop : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Desktop ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL 9.04-basic
        MENU LABEL 9.04-basic : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Basic ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-basic.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-basic.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL 9.04-raid
        MENU LABEL 9.04-raid : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Raid1 ; i386 + Preseed)
        kernel debian-installer/jaunty/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
 
 LABEL 9.10-desktop
        MENU LABEL 9.10-desktop : Debian/Ubuntu Installer (Ubuntu 9.10/Karmic Desktop ; i386 + Preseed)
        kernel debian-installer/karmic/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-910-desktop.txt initrd=debian-installer/karmic/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-910-desktop.txt initrd=debian-installer/karmic/i386/initrd.gz --
 
 LABEL 10.04-desktop
        MENU LABEL 10.04-desktop : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Desktop ; i386 + Preseed)
        kernel debian-installer/lucid/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
 
 LABEL 10.04-raid
        MENU LABEL 10.04-raid : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Raid1; i386 + Preseed)
        kernel debian-installer/lucid/i386/linux
-       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=latam netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-1004-raid1.txt initrd=debian-installer/lucid/i386/initrd.gz --
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=http://autoserver.redcta.org.ar/d-i/ubuntu-1004-raid1.txt initrd=debian-installer/lucid/i386/initrd.gz --
 
 LABEL lenny