Index: trunk/puppet/modules/di_netboot_assistant/manifests/init.pp
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 749)
+++ trunk/puppet/modules/di_netboot_assistant/manifests/init.pp	(revision 750)
@@ -22,12 +22,23 @@
 
    # some customization of the pxe menu
-   file { "/etc/di-netboot-assistant/pxelinux.HEAD":
-      require => Package["di-netboot-assistant"],
-      owner   => root,
-      group   => root,
-      mode    => 644,
-      source  => "puppet://$servername/di_netboot_assistant/pxelinux.HEAD",
-      before  => Exec["updatemenu"]
-   }
+#   file { "/etc/di-netboot-assistant/pxelinux.HEAD":
+#      require => Package["di-netboot-assistant"],
+#      owner   => root,
+#      group   => root,
+#      mode    => 644,
+#      source  => "puppet://$servername/di_netboot_assistant/pxelinux.HEAD",
+#      before  => Exec["updatemenu"]
+#   }
+### Se agregan 2 variables:
+###                       $nfs_server_ip  y  $preseed_server_ip
+### se declaran dentro de "basenode.pp", antes de llamar a la clase.
+    file { "/etc/di-netboot-assistant/pxelinux.HEAD":                                                      
+       require => Package["di-netboot-assistant"],                                                      
+       owner   => root,                                                                                 
+       group   => root,                                                                                 
+       mode    => 644,                                                                                  
+       content => template("di_netboot_assistant/pxelinux.HEAD.erb"),                            
+       before  => Exec["updatemenu"]                                                                    
+    }
    
    exec { "updatemenu":
Index: trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.corto.erb
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.corto.erb	(revision 750)
+++ trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.corto.erb	(revision 750)
@@ -0,0 +1,55 @@
+## Run "di-netboot-assistant rebuild-menu" when you modify
+## this file.
+##
+#KBDMAP pxelinux/french.kbd
+
+#SAY (Press enter to display Debian-Installer overview menu)
+DEFAULT menu
+PROMPT 0
+TIMEOUT 30
+
+MENU TITLE Debian-Installer netboot overview menu
+
+#A sample entry, with your prefered settings
+#LABEL quick
+#       MENU LABEL Debian Installer (Lenny ; i386 + Preseed)
+#       kernel debian-installer/lenny/i386/linux  
+#       append initrd=debian-installer/lenny/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 vga=normal  --
+#       #or#
+#       #append initrd=debian-installer/lenny-gtk/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 video=vesa:ywrap,mtrr vga=788  --
+#       # url=192.168.0.10 auto-install/enable=true 
+
+# ########################################################################
+
+LABEL terminal
+        KERNEL ltsp/i386/vmlinuz
+        APPEND ro initrd=ltsp/i386/initrd.img quiet splash
+
+LABEL memtest
+        MENU LABEL memtest86+
+        KERNEL memtest/memtest86+
+
+LABEL 10.04-desktop-live
+        MENU LABEL 10.04-desktop-live : Ubuntu 10.04/Lucid Desktop ; i386 ; LIVE - DVD
+        kernel live/lucid/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=<%= nfs_server_ip %>:/opt/linux_livecd/ubuntu1004dvdi386 initrd=live/lucid/i386/casper/initrd.lz --
+
+LABEL 10.04-desktop
+       MENU LABEL 10.04-desktop : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Desktop ; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 partman/default_filesystem=ext3 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= pressed_server_ip %>/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL 10.04-raid
+       MENU LABEL 10.04-raid : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Raid1; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= pressed_server_ip %>/ubuntu-1004-raid1.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL 10.04-raid-500Gb
+       MENU LABEL 10.04-raid : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Raid1; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= pressed_server_ip %>/ubuntu-1004-raid1-500.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL menu
+        MENU HIDE
+        KERNEL debian-installer/pxelinux.cfg/menu.c32
+
Index: trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.erb
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.erb	(revision 750)
+++ trunk/puppet/modules/di_netboot_assistant/templates/pxelinux.HEAD.erb	(revision 750)
@@ -0,0 +1,96 @@
+## Run "di-netboot-assistant rebuild-menu" when you modify
+## this file.
+##
+#KBDMAP pxelinux/french.kbd
+
+#SAY (Press enter to display Debian-Installer overview menu)
+DEFAULT menu
+PROMPT 0
+TIMEOUT 30
+
+MENU TITLE Debian-Installer netboot overview menu
+
+#A sample entry, with your prefered settings
+#LABEL quick
+#       MENU LABEL Debian Installer (Lenny ; i386 + Preseed)
+#       kernel debian-installer/lenny/i386/linux  
+#       append initrd=debian-installer/lenny/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 vga=normal  --
+#       #or#
+#       #append initrd=debian-installer/lenny-gtk/i386/initrd.gz ethdetect/use_firewire_ethernet=no locale=en_US console-keymaps-at/keymap=fr-latin1 video=vesa:ywrap,mtrr vga=788  --
+#       # url=192.168.0.10 auto-install/enable=true 
+
+# ########################################################################
+
+LABEL terminal
+        KERNEL ltsp/i386/vmlinuz
+        APPEND ro initrd=ltsp/i386/initrd.img quiet splash
+
+LABEL memtest
+        MENU LABEL memtest86+
+        KERNEL memtest/memtest86+
+
+LABEL 10.04-desktop-live
+        MENU LABEL 10.04-desktop-live : Ubuntu 10.04/Lucid Desktop ; i386 ; LIVE - DVD
+        kernel live/lucid/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=<%= nfs_server_ip %>:/opt/linux_livecd/ubuntu1004dvdi386 initrd=live/lucid/i386/casper/initrd.lz --
+
+LABEL 9.10-desktop-live
+        MENU LABEL 9.10-desktop-live : Ubuntu 9.10/Karmic Desktop ; i386 ; LIVE - CD
+        kernel live/karmic/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=<%= nfs_server_ip %>:/opt/linux_livecd/ubuntu910desktopi386 initrd=live/karmic/i386/casper/initrd.lz --
+
+LABEL 9.04-desktop-live
+        MENU LABEL 9.04-desktop-live : Ubuntu 9.04/Jaunty Desktop ; i386 ; LIVE - CD
+        kernel live/jaunty/i386/casper/vmlinuz
+        append locale=es_AR console-setup/layoutcode=es boot=casper netboot=nfs nfsroot=<%= nfs_server_ip %>:/opt/linux_livecd/ubuntu904desktopi386 initrd=live/jaunty/i386/casper/initrd.gz --
+
+LABEL 9.04-desktop
+       MENU LABEL 9.04-desktop : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Desktop ; i386 + Preseed)
+       kernel debian-installer/jaunty/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-904-desktop.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+
+LABEL 9.04-basic
+       MENU LABEL 9.04-basic : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Basic ; i386 + Preseed)
+       kernel debian-installer/jaunty/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-904-basic.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+
+LABEL 9.04-raid
+       MENU LABEL 9.04-raid : Debian/Ubuntu Installer (Ubuntu 9.04/Jaunty Raid1 ; i386 + Preseed)
+       kernel debian-installer/jaunty/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-904-raid1.txt initrd=debian-installer/jaunty/i386/initrd.gz --
+
+LABEL 9.10-desktop
+       MENU LABEL 9.10-desktop : Debian/Ubuntu Installer (Ubuntu 9.10/Karmic Desktop ; i386 + Preseed)
+       kernel debian-installer/karmic/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-910-desktop.txt initrd=debian-installer/karmic/i386/initrd.gz --
+
+LABEL 10.04-desktop
+       MENU LABEL 10.04-desktop : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Desktop ; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 partman/default_filesystem=ext3 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-1004-desktop.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL 10.04-raid
+       MENU LABEL 10.04-raid : Debian/Ubuntu Installer (Ubuntu 10.04/Lucid Raid1; i386 + Preseed)
+       kernel debian-installer/lucid/i386/linux
+       append DEBCONF_DEBUG=5 locale=es_AR console-setup/layoutcode=es netcfg/get_hostname= url=<%= preseed_server_ip %>/ubuntu-1004-raid1.txt initrd=debian-installer/lucid/i386/initrd.gz --
+
+LABEL lenny
+       MENU LABEL lenny-basic : Debian Installer (Debian Lenny 5.0 ; i386 + Preseed)
+	kernel debian-installer/lenny/i386/linux
+	append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=<%= preseed_server_ip %>/debian-lenny-desktop.txt  initrd=debian-installer/lenny/i386/initrd.gz -- quiet
+
+LABEL squeeze
+       MENU LABEL squeeze-basic : Debian Installer (Debian Squeeze 6.0 ; i386 + Preseed)
+        kernel debian-installer/squeeze/i386/linux
+        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=<%= preseed_server_ip %>/debian-squeeze-desktop.txt  initrd=debian-installer/squeeze/i386/initrd.gz -- quiet
+
+LABEL sid
+       MENU LABEL sid-basic : Debian Installer (Debian Sid UNSTABLE ; i386 + Preseed)
+        kernel debian-installer/sid/i386/linux
+        append DEBCONF_DEBUG=5 vga=normal locale=en_US console-setup/layoutcode=us hostname= domain= url=<%= preseed_server_ip %>/debian-squeeze-desktop.txt  initrd=debian-installer/sid/i386/initrd.gz -- quiet
+
+
+LABEL menu
+        MENU HIDE
+        KERNEL debian-installer/pxelinux.cfg/menu.c32
+