Index: /trunk/spip/2.1/pages-custom/blocs/footer.html
===================================================================
--- /trunk/spip/2.1/pages-custom/blocs/footer.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/blocs/footer.html	(revision 761)
@@ -0,0 +1,14 @@
+<div id="footer">
+<!-- contenu du footer -->
+<BOUCLE_lefooter(SPIP_ARTY_PARAMETRES) {parametre=footer}>
+[<p id="site-footer">(#VALEUR|propre|ptobr)</p>]
+</BOUCLE_lefooter>
+<p class="magusine-footer"> #NOM_SITE_SPIP : <:arty_un_site_corsaires:> - <:theme:> : [(#REM|sinon{titre}|parametres)]</p>
+<BOUCLE_logos(SPIP_ARTY_PARAMETRES){parametre=logos_bailleurs}{valeur=false}> </BOUCLE_logos>
+<p id="logos-bailleurs">
+<a href="http://www.magusine.net/formation/article.php3?id_article=1469"><img src="#CHEMIN{images/logos-bailleurs/somerights20.png}" alt="creativecommons" /></a>
+<a href="http://www.spip.net/fr" target="_blank"><img src="#CHEMIN{images/logos-bailleurs/spip-logo.png}" alt="spip" /></a>
+<a href="http://www.mozilla-europe.org/fr/products/firefox/" target="_blank"><img src="#CHEMIN{images/logos-bailleurs/firefox.png}" alt="Use Firefox !" /></a>
+</p>
+<//B_logos>
+</div>
Index: /trunk/spip/2.1/pages-custom/blocs/xml_videoflash_hasard_branche.html
===================================================================
--- /trunk/spip/2.1/pages-custom/blocs/xml_videoflash_hasard_branche.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/blocs/xml_videoflash_hasard_branche.html	(revision 761)
@@ -0,0 +1,57 @@
+#CACHE{0}#HTTP_HEADER{Content-Type: text/xml}
+
+#SET{laliste,#ARRAY{0,0}}
+<BOUCLE_rotatorrub(RUBRIQUES){id_rubrique=#ENV{id_rubrique}}>
+<!-- liste de tous les flv de la rub #ID_RUBRIQUE : #TITRE -->
+	<BOUCLE_galerieaudiorub(DOCUMENTS){id_rubrique}{mode=document}{extension==flv}{par num titre}{par titre}{doublons}>
+	#SET{laliste,#GET{laliste}|array_merge{#ARRAY{#ID_DOCUMENT,#ID_DOCUMENT}}}
+	</BOUCLE_galerieaudiorub>
+	<BOUCLE_listesousrubs(RUBRIQUES){branche}>
+	<BOUCLE_galerieaudiosousrub(DOCUMENTS){id_rubrique}{mode=document}{extension==flv}{par num titre}{par titre}{doublons}>
+	#SET{laliste,#GET{laliste}|array_merge{#ARRAY{#ID_DOCUMENT,#ID_DOCUMENT}}}
+	</BOUCLE_galerieaudiosousrub>
+	</BOUCLE_listesousrubs>
+	
+	<BOUCLE_galerieart(ARTICLES){branche}>
+	<BOUCLE_galerieaudioart(DOCUMENTS){id_article}{mode=document}{extension==flv}{par num titre}{par titre}{doublons}>
+	#SET{laliste,#GET{laliste}|array_merge{#ARRAY{#ID_DOCUMENT,#ID_DOCUMENT}}}
+	</BOUCLE_galerieaudioart>
+	</BOUCLE_galerieart>
+	
+</BOUCLE_rotatorrub>
+
+<playlist version="1" xmlns="http://xspf.org/ns/0/" param="#ENV{parametre}">
+	<trackList>
+	<BOUCLE_listemes(DOCUMENTS){mode=document}{id_document IN #GET{laliste}}{extension==flv}{par hasard}{0,#ENV{parametre}|sinon{5}}>
+	<track>
+	<title>[(#DESCRIPTIF)]</title>
+	<creator>[(#TITRE|supprimer_numero)]</creator>
+	<image>#URL_SITE_SPIP/[(#LOGO_DOCUMENT||extraire_attribut{src})]</image>
+	<location>[(#URL_DOCUMENT)]</location>
+	<identifier>#ID_DOCUMENT</identifier>
+	</track>
+	</BOUCLE_listemes>
+
+<!-- rien dans la liste classique, cherche dans tous le site -->
+<BOUCLE_galerieaudioall(DOCUMENTS){mode=document}{extension==flv}{par hasard}{0,#ENV{parametre}|sinon{5}}>
+	<track>
+	<title>[(#DESCRIPTIF)]</title>
+	<creator>[(#TITRE|supprimer_numero)]</creator>
+	<image>#URL_SITE_SPIP/[(#LOGO_DOCUMENT||extraire_attribut{src})]</image>
+	<location>[(#URL_DOCUMENT)]</location>
+	<identifier>#ID_DOCUMENT</identifier>
+	</track>
+</BOUCLE_galerieaudioall>
+<!-- rien n'y fait, trouve rien -->
+	<track>
+	<title><:liste_vide:></title>
+	<creator><:rien:></creator>
+	<image></image>
+	<location></location>
+	<identifier>0</identifier>
+	</track>
+	<//B_galerieaudioall>
+<//B_listemes>
+
+	</trackList>
+</playlist>
Index: /trunk/spip/2.1/pages-custom/gabarits/ajout-article.xml
===================================================================
--- /trunk/spip/2.1/pages-custom/gabarits/ajout-article.xml	(revision 761)
+++ /trunk/spip/2.1/pages-custom/gabarits/ajout-article.xml	(revision 761)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="article">
+<bloc statut="1" >menu_principal</bloc>
+<bloc statut="2" >destacada_lateral</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">menu-groupe</bloc>
+<bloc statut="3" >archivos_adjuntos</bloc>
+<bloc statut="3" >vinculos</bloc>
+</gabarit>
Index: /trunk/spip/2.1/pages-custom/gabarits/ajout-mot.xml
===================================================================
--- /trunk/spip/2.1/pages-custom/gabarits/ajout-mot.xml	(revision 761)
+++ /trunk/spip/2.1/pages-custom/gabarits/ajout-mot.xml	(revision 761)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="mot">
+
+<bloc statut="2" >destacada_lateral</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">menu-groupe</bloc>
+<bloc statut="3" >menu_principal</bloc>
+<bloc statut="3" >cabecera_articulos</bloc>
+<bloc statut="3" >cabecera_titulares</bloc>
+<bloc statut="3" >contenidos_articulos</bloc>
+<bloc statut="3" >contenidos_titulares</bloc>
+<bloc statut="3" >vinculos</bloc>
+</gabarit>
Index: /trunk/spip/2.1/pages-custom/gabarits/ajout-rubrique.xml
===================================================================
--- /trunk/spip/2.1/pages-custom/gabarits/ajout-rubrique.xml	(revision 761)
+++ /trunk/spip/2.1/pages-custom/gabarits/ajout-rubrique.xml	(revision 761)
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="defaut">
+<bloc statut="1" >menu_principal</bloc>
+
+<bloc statut="2" >destacada_lateral</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">menu-groupe</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">otras_palabras</bloc>
+<bloc statut="2" >liste-articles-mot-boletin</bloc>
+<bloc statut="3" >vinculos</bloc>
+</gabarit>
Index: /trunk/spip/2.1/pages-custom/gabarits/ajout-sommaire.xml
===================================================================
--- /trunk/spip/2.1/pages-custom/gabarits/ajout-sommaire.xml	(revision 761)
+++ /trunk/spip/2.1/pages-custom/gabarits/ajout-sommaire.xml	(revision 761)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="defaut">
+<bloc statut="1" >menu_principal</bloc>
+<bloc statut="3" param="1,2,3" paramdefaut="1" paramdescr="nombre_articles_affiches">nota_principal</bloc>
+<bloc statut="3" param="1,2,3" paramdefaut="1" paramdescr="nombre_articles_affiches">nota_secundaria</bloc>
+
+<bloc statut="3" >notas_destacadas</bloc>
+<bloc statut="3" >aviso-portada</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">otras_palabras</bloc>
+<bloc statut="3" param="1,2,3,5,10" paramdefaut="5" paramdescr="nombre_articles_affiches">bloque_titulares</bloc>
+<bloc statut="3" param="1,2,3,5,10" paramdefaut="5" paramdescr="nombre_articles_affiches">titulares</bloc>
+<bloc statut="3" param="1,2,3,5,10" paramdefaut="5" paramdescr="nombre_articles_affiches">diapo_notas</bloc>
+<bloc statut="3" >ultimo_boletin</bloc>
+<bloc statut="2" >avisosuperior</bloc>
+<bloc statut="2" >destacada_lateral</bloc>
+<bloc statut="2" >avisoinferior</bloc>
+</gabarit>
Index: /trunk/spip/2.1/pages-custom/gabarits/despacho.xml
===================================================================
--- /trunk/spip/2.1/pages-custom/gabarits/despacho.xml	(revision 761)
+++ /trunk/spip/2.1/pages-custom/gabarits/despacho.xml	(revision 761)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="defaut">
+<bloc statut="1" >menu_principal</bloc>
+
+<bloc statut="2" >destacada_lateral</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">menu-groupe</bloc>
+<bloc statut="2" param="SELECT * FROM spip_groupes_mots" paramvalue="id_groupe" paramdescr="groupe-mots-cles" paramtext="titre" paramdefaut="">otras_palabras</bloc>
+<bloc statut="2" >liste-articles-mot-boletin</bloc>
+<bloc statut="3" >vinculos</bloc>
+<bloc statut="3" >cabecera_articulos</bloc>
+<bloc statut="3" >cabecera_titulares</bloc>
+
+
+</gabarit>
Index: /trunk/spip/2.1/pages-custom/inc/bloquecito.html
===================================================================
--- /trunk/spip/2.1/pages-custom/inc/bloquecito.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/inc/bloquecito.html	(revision 761)
@@ -0,0 +1,29 @@
+<BOUCLE_principal(ARTICLES) {id_article}>
+<div id="nota_encolumnada" class="article-une" >
+	<ul>
+	<table><tr><td>
+		<div class="volantadest1">
+                       		
+		</div>
+		<a href="#URL_ARTICLE">
+			<b>#SURTITRE</b>
+			<h4 class="listagetitre">#TITRE</h4></a>
+				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+                                  <h6>[(#DATE|nom_jour) ][(#DATE|affdate)]</h6> 
+                              </BOUCLE_date>
+			<div class="listagetexte #EDIT{chapo}">
+				 <B_foto>
+                        <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+                                [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{70,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})]
+                        </BOUCLE_foto>
+                        </B_foto>
+                                 [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{70,0}|inserer_attribut{style,border:1px solid #000000}|inserer_attribut{style,margin:0px 0px 5px 15px})] 
+                        <//B_foto>	
+                        #CHAPO
+				<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}><p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p></BOUCLE_suite>
+			</div>
+			
+	</td></tr></table>
+	</ul>	
+	</div>
+</BOUCLE_principal>
Index: /trunk/spip/2.1/pages-custom/inc/cuerpo_articulos_contenido.html
===================================================================
--- /trunk/spip/2.1/pages-custom/inc/cuerpo_articulos_contenido.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/inc/cuerpo_articulos_contenido.html	(revision 761)
@@ -0,0 +1,22 @@
+<li>
+<BOUCLE_principal(ARTICLES){id_article}>
+
+
+<BOUCLE_montrediv(SPIP_ARTY_PARAMETRES){parametre=date_auteur}><?php if("#VALEUR" or "#VALEUR2") { echo '<div class="listageinfo">'; } ?></BOUCLE_montrediv>
+<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+<strong>[<:le_date:> (#DATE|affdate)]</strong> 
+</BOUCLE_date>
+<BOUCLE_auteur(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur2=true}>
+<B_aut><:par:> <BOUCLE_aut(AUTEURS){id_article}{par nom}{", "}><a href="#URL_AUTEUR">#NOM</a></BOUCLE_aut>
+</BOUCLE_auteur>
+<BOUCLE_montrediv2(SPIP_ARTY_PARAMETRES){parametre=date_auteur}><?php if("#VALEUR" or "#VALEUR2") { echo '</div>'; } ?></BOUCLE_montrediv2>
+
+<h5 class="listagetitre">[<b>(#SURTITRE|supprimer_numero)</b>]</h5>
+<h4 class="listagetitre"><a name="#ID_ARTICLE">[(#TITRE|supprimer_numero)]</a></h4>
+[<div class="chapeau #EDIT{chapo}">[(#LOGO_ARTICLE|left|##ID_ARTICLE|image_reduire{120,0})] (#CHAPO)</div>]
+
+[<div class="#EDIT{texte} texte">(#TEXTE|image_reduire{600,0})</div>]
+<div style="float:right" ><a href="#inicio#ID_ARTICLE" ><i>volver</i></a></div><br><br>
+<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}><p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p></BOUCLE_suite>
+</BOUCLE_principal>
+</li>
Index: /trunk/spip/2.1/pages-custom/inc/cuerpo_titulares_contenido.html
===================================================================
--- /trunk/spip/2.1/pages-custom/inc/cuerpo_titulares_contenido.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/inc/cuerpo_titulares_contenido.html	(revision 761)
@@ -0,0 +1,21 @@
+<li>
+<BOUCLE_principal(ARTICLES){id_article}>
+
+
+<BOUCLE_montrediv(SPIP_ARTY_PARAMETRES){parametre=date_auteur}><?php if("#VALEUR" or "#VALEUR2") { echo '<div class="listageinfo">'; } ?></BOUCLE_montrediv>
+<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+<strong>[<:le_date:> (#DATE|affdate)]</strong> 
+</BOUCLE_date>
+<BOUCLE_auteur(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur2=true}>
+<B_aut><:par:> <BOUCLE_aut(AUTEURS){id_article}{par nom}{", "}><a href="#URL_AUTEUR">#NOM</a></BOUCLE_aut>
+</BOUCLE_auteur>
+<BOUCLE_montrediv2(SPIP_ARTY_PARAMETRES){parametre=date_auteur}><?php if("#VALEUR" or "#VALEUR2") { echo '</div>'; } ?></BOUCLE_montrediv2>
+<h5 class="listagetitre">[<b>(#SURTITRE|supprimer_numero)</b>]</h5>
+<h4 class="listagetitre"><a name="#ID_ARTICLE">[(#TITRE|supprimer_numero)]</a></h4>
+
+[<div class="chapeau #EDIT{chapo}">(#CHAPO)</div>]
+[<div class="#EDIT{texte} texte">(#TEXTE|image_reduire{600,0})</div>]
+<div style="float:right" ><a href="#inicio#ID_ARTICLE" ><i>volver</i></a></div><br><br>
+<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}><p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p></BOUCLE_suite>
+</BOUCLE_principal>
+</li>
Index: /trunk/spip/2.1/pages-custom/inc/footer.html
===================================================================
--- /trunk/spip/2.1/pages-custom/inc/footer.html	(revision 761)
+++ /trunk/spip/2.1/pages-custom/inc/footer.html	(revision 761)
@@ -0,0 +1,15 @@
+<div id="footer">
+<!-- contenu du footer -->
+<BOUCLE_lefooter(SPIP_ARTY_PARAMETRES) {parametre=footer}>
+[<p id="site-footer">(#VALEUR|propre|ptobr)</p>]
+</BOUCLE_lefooter>
+<p id="magusine-footer"><a href="#URL_SITE_SPIP/ecrire"><:acces_admin:></a> - #NOM_SITE_SPIP : <:arty_un_site_corsaires:> - <:theme:> : [(#REM|sinon{titre}|parametres)]</p>
+<BOUCLE_logos(SPIP_ARTY_PARAMETRES){parametre=logos_bailleurs}{valeur=false}> </BOUCLE_logos>
+<p id="logos-bailleurs">
+
+<a href="http://www.magusine.net/formation/article.php3?id_article=1469"><img src="#CHEMIN{images/logos-bailleurs/somerights20.png}" alt="creativecommons" /></a>
+<a href="http://www.spip.net/fr" target="_blank"><img src="#CHEMIN{images/logos-bailleurs/spip-logo.png}" alt="spip" /></a>
+<a href="http://www.mozilla-europe.org/fr/products/firefox/" target="_blank"><img src="#CHEMIN{images/logos-bailleurs/firefox.png}" alt="Use Firefox !" /></a>
+</p>
+<//B_logos>
+</div>