Index: trunk/puppet/modules/di_netboot_assistant/files/di-sources.list
===================================================================
--- trunk/puppet/modules/di_netboot_assistant/files/di-sources.list	(revision 543)
+++ trunk/puppet/modules/di_netboot_assistant/files/di-sources.list	(revision 768)
@@ -14,14 +14,6 @@
 
 #Debian/Stable (( http://www.debian.org/distrib/netinst#netboot ))
-stable	alpha	http://ftp.debian.org/dists/stable/main/installer-alpha/current/images/	netboot/boot.img
 stable	amd64	http://ftp.debian.org/dists/stable/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-stable	hppa	http://ftp.debian.org/dists/stable/main/installer-hppa/current/images/	netboot/2.6/netboot.tar.gz
 stable	i386	http://ftp.debian.org/dists/stable/main/installer-i386/current/images/	netboot/netboot.tar.gz
-stable	ia64	http://ftp.debian.org/dists/stable/main/installer-ia64/current/images/	netboot/netboot.tar.gz
-#Debian/Stable:Etch has two sparc images 
-stable	sparc32	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc32/netboot/2.6/boot.img
-stable	sparc64	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc64/netboot/2.6/boot.img
-#Debian/Stable:(for Lenny+) only supports sparc64 images 
-stable	sparc	http://ftp.debian.org/dists/stable/main/installer-sparc/current/images/	sparc/netboot/boot.img
 
 stable-gtk	amd64	http://ftp.debian.org/dists/stable/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
@@ -29,10 +21,6 @@
 
 #Debian/Lenny
-lenny	alpha	http://ftp.debian.org/dists/lenny/main/installer-alpha/current/images/	netboot/boot.img
 lenny	amd64	http://ftp.debian.org/dists/lenny/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-lenny	hppa	http://ftp.debian.org/dists/lenny/main/installer-hppa/current/images/	netboot/2.6/boot.img
 lenny	i386	http://ftp.debian.org/dists/lenny/main/installer-i386/current/images/	netboot/netboot.tar.gz
-lenny	ia64	http://ftp.debian.org/dists/lenny/main/installer-ia64/current/images/	netboot/netboot.tar.gz
-lenny	sparc	http://ftp.debian.org/dists/lenny/main/installer-sparc/current/images/	netboot/boot.img
 
 lenny-gtk	amd64	http://ftp.debian.org/dists/lenny/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
@@ -50,10 +38,6 @@
 
 #beta1 or beta2 or beta3 or rc1 or rc2
-testing	alpha	http://ftp.debian.org/dists/testing/main/installer-alpha/current/images/	netboot/boot.img
 testing	amd64	http://ftp.debian.org/dists/testing/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-testing	hppa	http://ftp.debian.org/dists/testing/main/installer-hppa/current/images/	netboot/2.6/boot.img
 testing	i386	http://ftp.debian.org/dists/testing/main/installer-i386/current/images/	netboot/netboot.tar.gz
-testing	ia64	http://ftp.debian.org/dists/testing/main/installer-ia64/current/images/	netboot/netboot.tar.gz
-testing	sparc	http://ftp.debian.org/dists/testing/main/installer-sparc/current/images/	netboot/boot.img
 
 testing-gtk	amd64	http://ftp.debian.org/dists/testing/main/installer-amd64/current/images/	netboot/gtk/netboot.tar.gz
@@ -64,44 +48,22 @@
 #     *   http://people.debian.org/~joeyh/d-i/build-logs.html
 #     *   http://wiki.debian.org/DebianInstaller/Today
-daily	alpha	http://people.debian.org/~vorlon/d-i/alpha/daily/	netboot/boot.img
 daily	amd64	http://people.debian.org/~aba/d-i/images/daily/	netboot/netboot.tar.gz
-daily	hppa	http://people.debian.org/~kyle/d-i/hppa/daily/	netboot/2.6/boot.img
 daily	i386	http://people.debian.org/~joeyh/d-i/images/daily/	netboot/netboot.tar.gz
-daily	ia64	http://people.debian.org/~dannf/d-i/images/daily/	netboot/netboot.tar.gz
-daily	sparc	http://people.debian.org/~stappers/d-i/sparc/daily/	netboot/boot.img
-
-daily-gtk	amd64	http://people.debian.org/~aba/d-i/images/daily/	netboot/gtk/netboot.tar.gz
-daily-gtk	i386	http://people.debian.org/~joeyh/d-i/images/daily/	netboot/gtk/netboot.tar.gz
 
 # Daily netboot DI image for powerpc
 daily	powerpc	http://d-i.debian.org/daily-images/powerpc/daily/powerpc/	netboot/mini.iso
 
-
-
 # ############ Some Debian Derivatives (Ubuntu) ################ #
 
-#Ubuntu Dapper 6.06
-dapper	i386	http://archive.ubuntu.com/ubuntu/dists/dapper-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
-dapper	amd64	http://archive.ubuntu.com/ubuntu/dists/dapper-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-
-#Ubuntu Hardy 8.04
-hardy	i386	http://archive.ubuntu.com/ubuntu/dists/hardy-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
-hardy	amd64	http://archive.ubuntu.com/ubuntu/dists/hardy-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-
-#Ubuntu Intrepid 8.10
-intrepid	i386	http://archive.ubuntu.com/ubuntu/dists/intrepid-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
-intrepid	amd64	http://archive.ubuntu.com/ubuntu/dists/intrepid-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-
-#Ubuntu Jaunty 9.04
-jaunty	i386	http://archive.ubuntu.com/ubuntu/dists/jaunty/main/installer-i386/current/images/	netboot/netboot.tar.gz
-jaunty	amd64	http://archive.ubuntu.com/ubuntu/dists/jaunty/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-
-#Ubuntu Karmic 9.10
-karmic	i386	http://archive.ubuntu.com/ubuntu/dists/karmic/main/installer-i386/current/images/	netboot/netboot.tar.gz
-karmic	amd64	http://archive.ubuntu.com/ubuntu/dists/karmic/main/installer-amd64/current/images/	netboot/netboot.tar.gz
-
-#Ubuntu Lucid 10.04 (beta until april 2010)
+#Ubuntu Lucid 10.04
 lucid	i386	http://archive.ubuntu.com/ubuntu/dists/lucid/main/installer-i386/current/images/	netboot/netboot.tar.gz
 lucid	amd64	http://archive.ubuntu.com/ubuntu/dists/lucid/main/installer-amd64/current/images/	netboot/netboot.tar.gz
 
+#Ubuntu Lucid 10.04.X point release LTS
+lucid-updates	i386	http://archive.ubuntu.com/ubuntu/dists/lucid-updates/main/installer-i386/current/images/	netboot/netboot.tar.gz
+lucid-updates	amd64	http://archive.ubuntu.com/ubuntu/dists/lucid-updates/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
+natty	i386	http://archive.ubuntu.com/ubuntu/dists/natty/main/installer-i386/current/images/	netboot/netboot.tar.gz
+natty	amd64	http://archive.ubuntu.com/ubuntu/dists/natty/main/installer-amd64/current/images/	netboot/netboot.tar.gz
+
 # vim: ft=disources